> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recording by Message ID

> Get the recording for a message by passing the message id



## OpenAPI

````yaml /api-reference/conversations/openapi.json get /conversations/messages/{messageId}/locations/{locationId}/recording
openapi: 3.0.0
info:
  title: Conversations API
  description: Documentation for Conversations API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Conversations
    description: Documentation for Conversations API
  - name: Search
    description: Documentation for Conversations API
  - name: Email
    description: Documentation for Conversations API
  - name: Messages
    description: Documentation for Conversations API
  - name: Providers
    description: Documentation for Conversations API
paths:
  /conversations/messages/{messageId}/locations/{locationId}/recording:
    get:
      tags:
        - Messages
      summary: Get Recording by Message ID
      description: Get the recording for a message by passing the message id
      operationId: get-message-recording
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: locationId
          required: true
          in: path
          description: Location ID as string
          schema:
            example: tDtDnQdgm2LXpyiqYvZ6
            type: string
        - name: messageId
          required: true
          in: path
          description: Message ID as string
          schema:
            example: tDtDnQdgm2LXpyiqYvZ6
            type: string
      responses:
        '200':
          description: Gives the attached recording to the message
          headers:
            Content-Type:
              description: audio/x-wav
              schema:
                type: string
            Content-Disposition:
              description: Attachment; filename=audio.wav
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer: []
        - Location-Access: []
components:
  schemas:
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````